Bug 19235 - password visible in OPAC self registration
Summary: password visible in OPAC self registration
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 16.11
Hardware: All All
: P5 - low major (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-01 16:03 UTC by Apurba Jyoti Majumder
Modified: 2017-09-19 21:21 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
snapshop of the bug (23.15 KB, image/jpeg)
2017-09-01 16:03 UTC, Apurba Jyoti Majumder
Details
Bug 19235: Password entry visible in OPAC Self-registration (2.89 KB, patch)
2017-09-01 17:22 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19235: Password entry visible in OPAC Self-registration (2.94 KB, patch)
2017-09-01 19:52 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 19235: Password entry visible in OPAC Self-registration (3.01 KB, patch)
2017-09-08 17:36 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Apurba Jyoti Majumder 2017-09-01 16:03:50 UTC
Created attachment 66759 [details]
snapshop of the bug

1. OPAC Self Registration
2. Type password
3. Password characters visible
Comment 1 M. Tompsett 2017-09-01 17:22:19 UTC
Created attachment 66768 [details] [review]
Bug 19235: Password entry visible in OPAC Self-registration

The HTML code was "text" instead of "password".

TEST PLAN
----------
1) 'Allow' PatronSelfRegistration system preference
2) Define the PatronSelfRegistrationDefaultCategory system preference (e.g. PT)
3) Open OPAC
4) Click 'Register here' on the right.  (/cgi-bin/koha/opac-memberentry.pl)
5) Scroll to bottom
6) enter some passwords
   -- visible
7) apply this patch
8) refresh page
9) repeat 5-6 as needed
   -- passwords should not be visible while entering
10) run koha qa test tools
Comment 2 Lee Jamison 2017-09-01 19:52:33 UTC
Created attachment 66782 [details] [review]
Bug 19235: Password entry visible in OPAC Self-registration

The HTML code was "text" instead of "password".

TEST PLAN
----------
1) 'Allow' PatronSelfRegistration system preference
2) Define the PatronSelfRegistrationDefaultCategory system preference (e.g. PT)
3) Open OPAC
4) Click 'Register here' on the right.  (/cgi-bin/koha/opac-memberentry.pl)
5) Scroll to bottom
6) enter some passwords
   -- visible
7) apply this patch
8) refresh page
9) repeat 5-6 as needed
   -- passwords should not be visible while entering
10) run koha qa test tools

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Comment 3 Apurba Jyoti Majumder 2017-09-06 05:29:05 UTC
The steps has been followed and tested OK
Noe the password character are not visible.
Comment 4 Nick Clemens 2017-09-08 17:36:03 UTC
Created attachment 67008 [details] [review]
Bug 19235: Password entry visible in OPAC Self-registration

The HTML code was "text" instead of "password".

TEST PLAN
----------
1) 'Allow' PatronSelfRegistration system preference
2) Define the PatronSelfRegistrationDefaultCategory system preference (e.g. PT)
3) Open OPAC
4) Click 'Register here' on the right.  (/cgi-bin/koha/opac-memberentry.pl)
5) Scroll to bottom
6) enter some passwords
   -- visible
7) apply this patch
8) refresh page
9) repeat 5-6 as needed
   -- passwords should not be visible while entering
10) run koha qa test tools

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2017-09-12 15:13:09 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-09-19 15:05:31 UTC
Pushed to 17.05.x, will be in 17.05.04.
Comment 7 Katrin Fischer 2017-09-19 21:21:52 UTC
This patch has been pushed to 16.11.x and will be in 16.11.12.